package net.sourceforge.nattable.tree;

import java.util.List;

public interface ITreeRowModel<T> {

	int depth(int index);

	boolean isLeaf(int index);

	String getObjectAtIndexAndDepth(int index, int depth);

	boolean hasChildren(int index);

	boolean isCollapsed(int index);

	List<Integer> collapse(int parentIndex);

	List<Integer> expand(int parentIndex);

}
