package net.sourceforge.nattable.hideshow.command;

import net.sourceforge.nattable.command.AbstractLayerCommandHandler;
import net.sourceforge.nattable.hideshow.RowHideShowLayer;

public class MultiRowShowCommandHandler extends AbstractLayerCommandHandler<MultiRowShowCommand> {

	private final RowHideShowLayer rowHideShowLayer;

	public MultiRowShowCommandHandler(RowHideShowLayer rowHideShowLayer) {
		this.rowHideShowLayer = rowHideShowLayer;
	}
	
	public Class<MultiRowShowCommand> getCommandClass() {
		return MultiRowShowCommand.class;
	}

	@Override
	protected boolean doCommand(MultiRowShowCommand command) {
		int[] columnIndexes = command.getRowIndexes();
		rowHideShowLayer.showRowIndexes(columnIndexes);
		return true;
	}

}
